@charset "utf-8";

.footer{
  position:relative;
}

.page-top{
  position:absolute;
  width:3.5rem;
  height:3.5rem;
  right:5%;
  top:-2rem;
}

.footer-bg{
  padding:40px 0 140px;
  background:#F4F4F4;
}

.footer-wrap{
  display: flex;
  margin:0 auto;
  justify-content: space-between;
  align-items: flex-start;
  width:70%;
  max-width: 1345px;
}

.footer-left{
  width:24%;
}

.footer-right{
  width:71%;
  max-width: 720px;
}

.footer-right .header_menu{
  align-items: flex-start;
  justify-content: space-between;
  font-size:14px;
  gap:1rem;
}

.footer-right .header_menu-item a{
  display:block;
  text-align: left;
  margin-bottom:1rem;
  padding-bottom:8px;
  position:relative;
  width: fit-content;
}

.footer-right .header_menu-item a::before{
  content:"";
  position:absolute;
  width:0;
  height:1px;
  background:#2E4C99;
  bottom:0;
  left:0;
  transition:0.3s;
}

.footer-right .header_menu-item a:hover{
  color:#2E4C99;
  opacity:1;
}

.footer-right .header_menu-item a:hover::before{
  width:100%;
}

.copyright{
  text-align: center;
  background:#2E4C99;
  color:#fff;
  font-size:12px;
  padding:12px;
}


@media (max-width: 1279px) {
  .footer-right .header_menu {
    gap: 1rem 5%;
    flex-wrap: wrap;
  }
  .footer-right{
    width:100%;
  }
  .footer-wrap{
    width:80%;
    flex-direction: column;
    gap:2.5rem;
  }
}

@media (max-width: 1024px) {
  .footer-left {
    width: 240px;
  }
  .footer-wrap {
    width: 90%;
  }
}

@media (max-width: 767px) {
  .footer-left a {
    width: 160px;
  }
  .copyright{
    text-align: center;
  }
  .footer-wrap {
    gap: 4rem;
    margin: 0 auto ;
    flex-direction: column;
    align-items: center;
    width: 90%;
    flex-direction: column-reverse;
  }
  .footer-right {
    flex-direction: column;
    align-items: flex-start;
  }
  .footer-left {
    width: 200px;
  }
  .footer-right .header_menu{
    flex-direction: column;
    gap: 0;
  }
  .footer-right .header_menu-item.sp .header-contact{
    width:195px;
    height:40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0;
  }
  .footer-bg {
    padding: 40px 0 20px;
  }
}
